[Bug 231768] [request] Remove COMPAT_FREEBSD4 or newer default kernel options

bugzilla-noreply at freebsd.org bugzilla-noreply at freebsd.org
Thu Sep 27 20:28:03 UTC 2018


https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=231768

            Bug ID: 231768
           Summary: [request] Remove COMPAT_FREEBSD4 or newer default
                    kernel options
           Product: Base System
           Version: CURRENT
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: kern
          Assignee: bugs at FreeBSD.org
          Reporter: voidanix at 420blaze.it

It's 2018.

Support for FreeBSD4 ended in 2007, I think it is exaggerated to put
COMPAT_FREEBSD4 in the GENERIC or MINIMAL kernel configs by default.

I propose to remove COMPAT_FREEBSD4, COMPAT_FREEBSD5, COMPAT_FREEBSD6,
COMPAT_FREEBSD7 and COMPAT_FREEBSD8 from those files.

I could not think of a reason to keep those options enabled by default, I'm
only seeing possible security vulnerabilities. (For example, HardenedBSD
disabled those COMPAT* options other than COMPAT_FREEBSD10 for security
reasons: see
https://github.com/HardenedBSD/hardenedBSD/blob/hardened/current/master/sys/amd64/conf/HARDENEDBSD)

Thanks for hearing me out :P

-- 
You are receiving this mail because:
You are the assignee for the bug.


More information about the freebsd-bugs mailing list